> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.client.fo/llms.txt
> Use this file to discover all available pages before exploring further.

# Reschedule a post

> **Required permission:** `publishing:posts:publish`



## OpenAPI

````yaml /api-reference/publishing.openapi.json post /{workspace}/posts/reschedule/{post}
openapi: 3.1.0
info:
  title: Publishing API
  version: 1.0.0
  description: >-
    Social accounts, posts, scheduling, approval, tags and media for one
    workspace.
servers:
  - url: https://{domain}/os/api
    description: Your platform domain
    variables:
      domain:
        default: app.example.com
        description: The domain you sign in to, without https://
security:
  - bearerAuth: []
  - apiKeyHeader: []
tags:
  - name: Diagnostics
  - name: Accounts
  - name: Posts
  - name: Media
  - name: Tags
paths:
  /{workspace}/posts/reschedule/{post}:
    post:
      tags:
        - Posts
      summary: Reschedule a post
      description: '**Required permission:** `publishing:posts:publish`'
      operationId: posts.reschedule
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Your workspace UUID. Must match the API key's workspace.
        - name: post
          in: path
          required: true
          schema:
            type: string
          description: Post UUID.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - source_date
                - source_time
                - target_date
                - target_time
              properties:
                source_date:
                  type: string
                  example: '2026-10-20'
                source_time:
                  type: string
                  example: '09:00'
                target_date:
                  type: string
                  example: '2026-10-21'
                target_time:
                  type: string
                  example: '10:30'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  scheduled_at:
                    type: string
                    example: '2026-10-20 09:00:00'
                  needs_approval:
                    type: boolean
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'A workspace API key: `Authorization: Bearer osk_...`'
    apiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
      description: The same workspace API key in the `x-api-key` header.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.